# Class: Example.Methods.Virtual

Defined in: | node_modules/grunt-codo/node_modules/codo/spec/_templates/methods/dynamic_methods.coffee

## Overview

This class has virtual methods, which doesn't exist in the source but appears in the documentation.

This line should be part of the class description, and the method declaration shouldn't have messed it up.

## Class Method Summary

- . (Object) get(key) Gets a value

## Instance Method Summary

- # (void) set(key, value) Sets a value
- # (void) delete({key, passion}, foo = 'bar') Deletes a key from the data.

## Class Method Details

. (Object) get(key)

Gets a value

### Parameters:

- key ( `String` ) — describe key param

### Returns:

- ( `Object` ) — describe value param

## Instance Method Details

# (void) set(key, value)

Sets a value

### Parameters:

- key ( `String` ) — describe key param
- value ( `Object` ) — describe value param

### Options Hash: (value):

- string ( `String` )
- number ( `Integer` )
- whatever ( `Object` )

# (void) delete({key, passion}, foo = 'bar')

Deletes a key from the data.

Another line

### Examples:

#### Delete a key.

    emv = new Example.Methods.Virtual
    emv.set 'foo', 'bar'
    val = emv.get 'foo'

    # now, proclaim you're done with foo.
    emv.delete 'foo'

### Parameters:

- key ( `String` ) — describe key param

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input